  conn = LDAP::Conn.new("rsads02.foo.com")
  conn.bind("CN=username,CN=Users,DC=foo,DC=com","password") do |bound|
    bound.search("DC=foo,DC=com", LDAP::LDAP_SCOPE_SUBTREE,
                 "(&(name=*) (objectCategory=person))", ['name','ipPhone']) do |user|
      puts "#{user['name']} #{user['ipPhone']}"
    end
  end

